﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace Power
{
    class ColdPower : AOEPowerTool
    {
        private bool cd = false;
        protected override void HandleObject(PhysicalBehaviour phys)
        {
            phys.Temperature -= 12f * Time.deltaTime;
      
            if (cd == false)
            {
                cd = true;
                var p = ModAPI.CreateParticleEffect("Vapor", Global.main.MousePosition);
                var main = p.GetComponent<ParticleSystem>().main;
                main.startColor = Color.blue;
                StartCoroutine(Cd());
            }
        }


        private IEnumerator Cd()
        {
            yield return new WaitForSeconds(0.5f);
            cd = false;
        }



        public override float Radius
        {
            get
            {
                return 1.5f;
            }
        }

        public override float DampeningRadius
        {
            get
            {
                return 1f;
            }
        }
    }


  








}
