﻿using System;
using UnityEngine;

namespace Power
{
    class Crush : AOEPowerTool
    {
        protected override void HandleObject(PhysicalBehaviour phys)
        {
            var limb = phys.GetComponent<LimbBehaviour>();

            if (limb != null)
            {
                limb.Crush();
            }
        }

        public override float Radius
        {
            get
            {
                return 1f;
            }
        }

        public override float DampeningRadius
        {
            get
            {
                return 1f;
            }
        }
    }
}
