﻿using System;
using UnityEngine;

namespace Power
{
    class HeadExp : AOEPowerTool
    {
        protected override void HandleObject(PhysicalBehaviour phys)
        {
            var limb = phys.GetComponent<LimbBehaviour>();

            if (limb != null)
            {
                if (limb.RoughClassification == LimbBehaviour.BodyPart.Head)
                {
                    limb.Crush();
                }
                    
            }
        }

        public override float Radius
        {
            get
            {
                return 1f;
            }
        }

        public override float DampeningRadius
        {
            get
            {
                return 1f;
            }
        }
    }
}
