﻿using System;
using UnityEngine;

namespace Power
{
    class CurePower : AOEPowerTool
    {
        protected override void HandleObject(PhysicalBehaviour phys)
        {
            var limb = phys.GetComponent<LimbBehaviour>();
            if (limb != null)
            {
                limb.StopAllCoroutines();
                limb.IsZombie = false;
                limb.SkinMaterialHandler.RottenProgress -= Time.deltaTime * 0.8f;
                limb.SkinMaterialHandler.RottenProgress = 0f;

            }
        }


    }

}
