﻿using System;
using UnityEngine;
using System.Collections;
namespace Power
{
    class Explo : ToolBehaviour
    {
        public float MouseMoveInfluence = 45f;



        private void Awake()
        {
            this.layers = LayerMask.GetMask(new string[]
            {
            "Debris",
            "Objects",
            "CollidingDebris"
            });




        }

        // Token: 0x06000C75 RID: 3189 RVA: 0x00040F4C File Offset: 0x0003F14C
        private void FixedUpdate()
        {
            this.mouseMovement = this.MouseMoveInfluence * (Global.main.MousePosition - oldMousePos);
            this.oldMousePos = Global.main.MousePosition;
            Debug.DrawLine(Global.main.MousePosition, Global.main.MousePosition + mouseMovement, Color.red);
        }

        // Token: 0x06000C76 RID: 3190 RVA: 0x00040FCC File Offset: 0x0003F1CC

        private bool cd = false;
        // Token: 0x06000C77 RID: 3191 RVA: 0x00040FF0 File Offset: 0x0003F1F0
        public override void OnFixedHold()
        {
            if (DialogBox.IsAnyDialogboxOpen || Global.ActiveUiBlock || Global.main.UILock || TriggerEditorBehaviour.IsBeingEdited)
            {
                return;
            }
            if(cd == false)
            {
                cd = true;
                ExplosionCreator.CreatePulseExplosion(oldMousePos, 10f, 15f, true, true);
                StartCoroutine(expCD());
            } 

        }

        IEnumerator expCD()
        {
            yield return new WaitForSeconds(1.2f);
            cd = false;
        }

        protected virtual float GetFalloff(float intensity, float sqrDistance, float max)
        {
            return Mathf.Min(max, 4f * intensity / sqrDistance + this.mouseMovement.sqrMagnitude * 0.05f);
        }

        protected virtual GameObject CreateEffectObject()
        {
            return null;
        }


        public override void OnSelect()
        {

        }


        public override void OnDeselect()
        {

        }


        public override void OnHold()
        {
        }

        public override void OnToolChosen()
        {
        }

        public override void OnToolUnchosen()
        {
        }

        protected Collider2D[] buffer = new Collider2D[256];

        protected LayerMask layers;

        protected Vector3 mouseMovement;


        protected Vector3 oldMousePos;


















    }
}